#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0-beta"
SHA1SUM="715e8bbb61248e23f64dcc5bd4b4a101d614c124"
URL="http://isteve.bofh.cz/~isteve/hotplug2"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz hotplug2 &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/hotplug2-${VERSION}.tar.gz &&
cd hotplug2-${VERSION} &&

patch_src hotplug2 &&

make CC="${CC} -Os -fPIC" &&

install -v -m755 hotplug2 ${INSTALLDIR}/sbin &&
install -v -m644 workers/worker_single.so ${INSTALLDIR}/lib/hotplug2-worker-single.so &&
cat > ${INSTALLDIR}/sbin/hotplug2.sh << EOF &&
#!/bin/sh 

if [ -x /sbin/hotplug2 ] ; then
    /sbin/hotplug2 --no-coldplug --no-dumb --persistent --max-children 5 --set-modprobe-cmd /sbin/modprobe --set-worker /lib/hotplug2-worker-single.so --set-rules-file /etc/hotplug2.rules &
fi

EOF
chmod 755 ${INSTALLDIR}/sbin/hotplug2.sh &&

cd ${BUILDDIR} &&
rm -rf hotplug2-${VERSION}
