#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

LINUXVERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}

VERSION="1.4.7"
SHA1SUM="825594a2c5017852b03ce441f592c67070b4b29c"
#This was 1.4.0 SHA1SUM="b61064885ab20b62d6ac2a590ea429117248d9d7"
URL="http://netfilter.org/projects/iptables/files"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"
##################################################

download_bz2 iptables &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/iptables-${VERSION}.tar.bz2 &&
cd iptables-${VERSION} &&

patch_src iptables &&

env

# Was 1.4.0 sed -e 's|sctp||' -e 's|CLUSTERIP||' -e 's|ULOG||' -i extensions/Makefile &&
# Because uclib built without LFS
sed -e 's|-D_LARGEFILE_SOURCE=1 -D_LARGE_FILES -D_FILE_OFFSET_BITS=64||' -i configure &&

# Was 1.4.0 make CC="${CC}" COPT_FLAGS="-Os -fPIC" LD=${LD} DO_MULTI=1 DO_IPV6=1 NO_SHARED_LIBS=1 PREFIX=/usr KERNEL_DIR=${BUILDDIR}/linux-${LINUXVERSION} KBUILD_OUTPUT=${BUILDDIR}/linux-${LINUXVERSION} LIBDIR=/lib BINDIR=/sbin LDLIBS=-ldl LDFLAGS=-rdynamic &&

CC="${CC} -Os -fPIC" ./configure --prefix=${INSTALLDIR} --host=${BOARDARCH} --disable-static --enable-shared --with-xtlibdir=${INSTALLDIR}/sys/module &&

make &&
make install &&

#install -v -m 755 iptables ${INSTALLDIR}/sbin/iptables &&
#install -v -m 755 ip6tables ${INSTALLDIR}/sbin/ip6tables &&
#ln -sfv ip6tables ${INSTALLDIR}/sbin/ip6tables-restore &&
#ln -sfv ip6tables ${INSTALLDIR}/sbin/ip6tables-save &&
#ln -sfv iptables ${INSTALLDIR}/sbin/iptables-restore &&
#ln -sfv iptables ${INSTALLDIR}/sbin/iptables-save &&
#ln -sfv iptables ${INSTALLDIR}/sbin/iptables-xml &&

cd ${BUILDDIR} &&
rm -rf iptables-${VERSION}

