#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.71.0"
SHA1SUM="2dc66f6f0d4d5b1cdbe552a64cdc6c405cfc17b8"
#URL="ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc"
URL="http://danielbalsiger.ch/image-builder"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 ipv6calc &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/ipv6calc-${VERSION}.tar.bz2 &&
cd ipv6calc-${VERSION} &&

patch_src ipv6calc &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib  --with-pic --disable-largefile --disable-nls &&
sed -e 's|memcmp$U.o||' -i ipv6calc/Makefile &&
sed -e 's/-O2/-Os/g' -i {ipv6calc/,lib/,}Makefile &&

make CC="${CC} -Os -fPIC" ipv6calc &&

install -v -m 755 ipv6calc/ipv6calc ${INSTALLDIR}/bin &&

cd ${BUILDDIR} &&
rm -rf ipv6calc-${VERSION}

