#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.2.37"
SHA1SUM="4e2a967a24db88e9a2f6a8bab3fa1fd94bc68c00"
#VERSION="1.2.34"
#SHA1SUM="7a9d300dbadd80b554695ca46d37e7fb9ad827b4"
URL="http://garr.dl.sourceforge.net/sourceforge/libpng"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 libpng &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/libpng-${VERSION}.tar.bz2 &&
cd libpng-${VERSION} &&

patch_src libpng &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=/usr &&
make &&
make DESTDIR=${INSTALLDIR} install &&
libtool --finish ${INSTALLDIR}/usr/lib &&
#ranlib ${INSTALLDIR}/lib/libpng.a
#ranlib ${INSTALLDIR}/lib/libpng12.a

#mv -v ${INSTALLDIR}/lib/libpng.la ${INSTALLDIR}/usr/lib &&
#mv -v ${INSTALLDIR}/lib/libpng.a ${INSTALLDIR}/usr/lib &&
#mv -v ${INSTALLDIR}/lib/libpng12.la ${INSTALLDIR}/usr/lib &&
#mv -v ${INSTALLDIR}/lib/libpng12.a ${INSTALLDIR}/usr/lib &&
#mv -v ${INSTALLDIR}/lib/libpng12.so* ${INSTALLDIR}/usr/lib &&
#mv -v ${INSTALLDIR}/lib/libpng.so* ${INSTALLDIR}/usr/lib &&
cp -a ${INSTALLDIR}/usr/libpng12 ${INSTALLDIR}/usr/include &&
cp -a ${INSTALLDIR}/usr/libpng12/* ${INSTALLDIR}/usr/include/ &&
if [ ! -L ${INSTALLDIR}/usr/include/libpng ]
then
	ln -s ${INSTALLDIR}/usr/include/libpng12 ${INSTALLDIR}/usr/include/libpng
fi
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf libpng-${VERSION}
