#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.1.4"
SHA1SUM="2198e65833eed905d93be70f3db4f0d32a2eaf57"
URL="http://www.cairographics.org/snapshots"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz libsvg &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/libsvg-${VERSION}.tar.gz &&
cd libsvg-${VERSION} &&

patch_src libsvg &&

sed -e 's/-O2/-Os/g' -i configure &&

CPPFLAGS="-I/usr/include" CC="${CC} -Os -fPIC" ./configure --host=`echo ${BOARDTARGET} | sed 's/-uclibc//g'` --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=/usr &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf libsvg-${VERSION}
