#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.6.30"
SHA1SUM="519701df3a10770980e993336fe19ef7d95b5bba"
URL="http://xmlsoft.org/sources"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz libxml2 &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/libxml2-${VERSION}.tar.gz &&
cd libxml2-${VERSION} &&

patch_src libxml2 &&

sed -e 's/-O2/-Os/g' -i configure &&

#libxml2 doesn't recognize "-uclibc" in --host -> i remove it
PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-iconv=${INSTALLDIR}/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&

mv -v ${INSTALLDIR}/lib/libxml2.la ${INSTALLDIR}/usr/lib &&
mv -v ${INSTALLDIR}/lib/libxml2.a ${INSTALLDIR}/usr/lib &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&
cd ${BUILDDIR} &&
rm -rf libxml2-${VERSION}
