#!/bin/bash

# UniBe, IAM, RVS Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions
VERSION="1.29"
SHA1SUM="b39c8a22a40129a32cf2393f969bb0bf537e13f6"
URL="ftp://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/p/project/pt/ptpd/ptpd/1.0.0/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 sg3_utils &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/sg3_utils-${VERSION}.tar.bz2 &&
cd sg3_utils-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src sg3_utils &&
#Assume first part of BOARDTARGET gives type
BOARD=${BOARDTARGET%%-*}
#Assume version nr assumed to have at least 2 parts ("X.Y.n.")
LINUXVER=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -e '$s/\"\([0-9]*.[0-9]*\).*\"/\1/'`

#sed -e 's/-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64//' -i src/Makefile.in &&
#sed -e 's/-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64//' -i src/Makefile.am &&
#sed -e 's/-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64//' -i lib/Makefile.in &&
#sed -e 's/-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64//' -i lib/Makefile.am &&

#env

#CPPFLAGS="-I${INSTALLDIR}/usr/include " CC="${CC} -Os -fPIC" ./configure  --host="i686-pc-linux_$LINUXVER" --target="$BOARD-pc-linux_$LINUXVER" --prefix=${INSTALLDIR} --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib
CPPFLAGS="-I${INSTALLDIR}/usr/include " CC="${CC} -Os -fPIC" ./configure  --host="i686-pc-linux_$LINUXVER" --target="$BOARD-pc-linux_$LINUXVER" --prefix=${INSTALLDIR} --sysconfdir=/etc

make &&
make install &&


#install -m 755 ptpd ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf sg3_utils-${VERSION}
