#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`
SHA1SUM=`grep ^SHA1SUM= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|SHA1SUM="||' -e 's|"||'`
URL=`grep ^URL= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|URL="||' -e 's|"||'`
FALLBACK=`grep ^FALLBACK= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|FALLBACK="||' -e 's|"||'`
##################################################

download_bz2 linux &&

cd ${BUILDDIR} &&
rm -rf linux-${VERSION}
tar -xjvf ${SRCDIR}/linux-${VERSION}.tar.bz2 &&
cd linux-${VERSION} &&

patch_src linux &&

make distclean &&
make mrproper &&
make ARCH=${BOARDARCH} mrproper &&
make ARCH=${BOARDARCH} headers_check &&
make ARCH=${BOARDARCH} INSTALL_HDR_PATH=dest headers_install &&
install -dv ${INSTALLDIR}/usr/include &&
cp -rv dest/include/* ${INSTALLDIR}/usr/include &&

cd ${BUILDDIR} &&
rm -rf linux-${VERSION}

